Package com.xebialabs.deployit.plugin.api.deployment.planning

## Interface ReadOnlyRepository

- All Known Subinterfaces:
    `Repository`

      @Deprecated
      public interface ReadOnlyRepository

  Deprecated.
  Replaced by `Repository`
  A read-only view of the XL Deploy repository. Note: You cannot store a reference to the read-only repository in a Step, as it is not serializable, and the connection to the repository is not restored.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `<T extends ConfigurationItem> T` | `read​(java.lang.String id)` | Deprecated. Read a `ConfigurationItem` with a specific id.
    `<T extends ConfigurationItem> java.util.List<T>` | `search​(Type type)` | Deprecated. Search for all `ConfigurationItem`s of the specified `Type`.
    `<T extends ConfigurationItem> java.util.List<T>` | `search​(Type type, java.lang.String parent)` | Deprecated. Search for all `ConfigurationItem`s of the specified `Type` under a parent node

- - ### Method Detail

    - #### read

          <T extends ConfigurationItem> T read​(java.lang.String id)

      Deprecated.
      Read a `ConfigurationItem` with a specific id.
      Parameters:
        `id` - The id of the `ConfigurationItem` to read.
      Returns:
        The read `ConfigurationItem`

    - #### search

          <T extends ConfigurationItem> java.util.List<T> search​(Type type)

      Deprecated.
      Search for all `ConfigurationItem`s of the specified `Type`.
      Parameters:
        `type` - The `Type` of the `ConfigurationItem`s to search for.
      Returns:
        A `List` of `ConfigurationItem`s of the `Type` passed in.

    - #### search

          <T extends ConfigurationItem> java.util.List<T> search​(Type type,
                                                                 java.lang.String parent)

      Deprecated.
      Search for all `ConfigurationItem`s of the specified `Type` under a parent node
      Parameters:
        `type` - The `Type` of the `ConfigurationItem`s to search for.
        `parent` - The id of the parent node under which to search.
      Returns:
        A `List` of `ConfigurationItem`s of the `Type` which are located under the parent node.